# Wannier90 files

```@meta
CurrentModule = WannierIO
```

!!! warning

    Some of the functions, e.g. [`read_amn`](@ref), [`write_amn`](@ref),
    [`read_chk`](@ref), [`write_chk`](@ref), etc., support reading/writing
    Fortran unformatted files. However, the Fortran unformatted files are
    machine and compiler dependent. Therefore, it is not guaranteed that
    these functions work for all the cases.
    Currently, the functions are tested on the following platforms:
    - Linux + gfortran 11.2

## Public API

```@autodocs
Modules = [WannierIO]
Private = false
Pages   = map(file -> joinpath("w90", file), readdir("../src/w90"))
```

## Private API

These are some lower-level types/functions that are (probably) less used, thus not exported.
Of course, you can still use them by prefixing `WannierIO.`, e.g.,
`WannierIO.read_w90_band_dat(filename)`.

```@autodocs
Modules = [WannierIO]
Public = false
Pages   = map(file -> joinpath("w90", file), readdir("../src/w90"))
```
